com.google.gwt.dom.builder.shared

## Interface StyleBuilder

All Superinterfaces:
  ElementBuilderBase<StyleBuilder>

All Known Implementing Classes:
  DomStyleBuilder, HtmlStyleBuilder

    public interface StyleBuilder
    extends ElementBuilderBase<StyleBuilder>

Builds an style element.

### Field Summary

Fields
`static java.lang.String` `UNSUPPORTED_HTML`

### Method Summary

All Methods Instance Methods Abstract Methods
`StyleBuilder` `cssText(java.lang.String cssText)` Sets the CSS text.
`StyleBuilder` `disabled()` Disable the style sheet.
`StyleBuilder` `html(SafeHtml html)` Throws `UnsupportedOperationException`.
`StyleBuilder` `media(java.lang.String media)` Designed for use with one or more target media.
`StyleBuilder` `text(java.lang.String text)` Throws `UnsupportedOperationException`.
`StyleBuilder` `type(java.lang.String type)` The content type of the style sheet language.

### Methods inherited from interface com.google.gwt.dom.builder.shared.ElementBuilderBase

`attribute, attribute, className, dir, draggable, end, end, endAnchor, endArea, endAudio, endBase, endBlockQuote, endBody, endBR, endButton, endCanvas, endCol, endColGroup, endDiv, endDList, endFieldSet, endForm, endFrame, endFrameSet, endH1, endH2, endH3, endH4, endH5, endH6, endHead, endHR, endIFrame, endImage, endInput, endLabel, endLegend, endLI, endLink, endMap, endMeta, endOList, endOptGroup, endOption, endParagraph, endParam, endPre, endQuote, endScript, endSelect, endSource, endSpan, endStyle, endTable, endTableCaption, endTBody, endTD, endTextArea, endTFoot, endTH, endTHead, endTR, endUList, endVideo, finish, getDepth, id, isChildElementSupported, isEndTagForbidden, lang, startAnchor, startArea, startAudio, startBase, startBlockQuote, startBody, startBR, startButtonInput, startCanvas, startCheckboxInput, startCol, startColGroup, startDiv, startDList, startFieldSet, startFileInput, startForm, startFrame, startFrameSet, startH1, startH2, startH3, startH4, startH5, startH6, startHead, startHiddenInput, startHR, startIFrame, startImage, startImageInput, startLabel, startLegend, startLI, startLink, startMap, startMeta, startOList, startOptGroup, startOption, startParagraph, startParam, startPasswordInput, startPre, startPushButton, startQuote, startRadioInput, startResetButton, startResetInput, startScript, startSelect, startSource, startSpan, startStyle, startSubmitButton, startSubmitInput, startTable, startTableCaption, startTBody, startTD, startTextArea, startTextInput, startTFoot, startTH, startTHead, startTR, startUList, startVideo, style, tabIndex, title, trustedStart`

### Field Detail

#### UNSUPPORTED_HTML

    static final java.lang.String UNSUPPORTED_HTML

See Also:
  Constant Field Values

### Method Detail

#### cssText

    StyleBuilder cssText(java.lang.String cssText)

Sets the CSS text.

#### disabled

    StyleBuilder disabled()

Disable the style sheet.

#### html

    StyleBuilder html(SafeHtml html)

Throws `UnsupportedOperationException`.

Style elements do not support html. Use `cssText(String)` instead.

Specified by:
  `html` in interface `ElementBuilderBase<StyleBuilder>`
Parameters:
  `html` - the HTML to append
Returns:
  this builder
Throws:
  `java.lang.UnsupportedOperationException`

#### media

    StyleBuilder media(java.lang.String media)

Designed for use with one or more target media.

See Also:
  W3C HTML Specification

#### text

    StyleBuilder text(java.lang.String text)

Throws `UnsupportedOperationException`.

Style elements do not support text. Use `cssText(String)` instead.

Specified by:
  `text` in interface `ElementBuilderBase<StyleBuilder>`
Parameters:
  `text` - the text to append
Returns:
  this builder
Throws:
  `java.lang.UnsupportedOperationException`

#### type

    StyleBuilder type(java.lang.String type)

The content type of the style sheet language.

See Also:
  W3C HTML Specification